Index: components/codeEntry/js/CodeEntryView.js
===================================================================
--- components/codeEntry/js/CodeEntryView.js	(revision 9409)
+++ components/codeEntry/js/CodeEntryView.js	(working copy)
@@ -31,16 +31,13 @@
         that.deleteEnabled = true;
     };
 
-    /**
-     * Redirects the browser to the given URL.
-     * 
-     * @param {Object} that, the component.
-     * @param url, the URL to redirect to.
-     */
-    var redirectToArtifactPage = function (that, url) {
-        // Do some cleanup before leaving the page
-        reset(that);
-        window.location = url;
+    var sequence = function (that, handleClass, msgText, callback, url) {
+        var msg = that.locate("headMessage");        
+        var style = that.options.styles.invalidCode;
+        var delay = that.options.redirectDelay;
+        msg.text(msgText);
+        msg[handleClass](style);
+        setTimeout(callback, delay);
     };
 
     /**
@@ -49,18 +46,10 @@
      * @param {Object} that, the component
      * @param url, the URL to redirect to.
      */
-    var redirectSequence = function (that, url) {
-        var msg = that.locate("headMessage");
-        var opts = that.options;
-        
-        // Replace the invalid code message with something...
-        msg.text(opts.strings.redirecting);
-        
-        msg.removeClass(opts.styles.invalidCode);
-        
-        setTimeout(function () {
-            redirectToArtifactPage(that, url);
-        }, opts.redirectDelay);
+    var redirectSequence = function (that, url) {   
+        sequence(that, "removeClass", that.options.strings.redirecting, function () {
+            window.location = url;
+        }, url);
     };
 
     /**
@@ -69,14 +58,8 @@
      * @param {Object} that, the component.
      */
     var wrongCodeSequence = function (that) {
-        var msg = that.locate("headMessage");
-        var opts = that.options;
-        
-        msg.text(opts.strings.invalidCode);
-        msg.addClass(opts.styles.invalidCode);
-        
-        msg.show(250, function () {
-            reset(that);
+        sequence(that, "addClass", that.options.strings.invalidCode, function () {            
+            reset(that);            
         });
     };
 
